Subject: [alto] [Editorial Errata Reported] RFC7285 (6876)

From: RFC Errata System <[email-masked]>
Date: Tue, 8 Mar 2022 22:21:04 -0800 (PST)

The following errata report has been submitted for RFC7285,
"Application-Layer Traffic Optimization (ALTO) Protocol".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6876

--------------------------------------
Type: Editorial
Reported by: Mohamed BOUCADAIR <[email-masked]>

Section: 14.3

Original Text
-------------
                    +------------+--------------------+
                    | Identifier | Intended Semantics |
                    +------------+--------------------+
                    | pid        | See Section 7.1.1  |
                    | priv:      | Private use        |
                    +------------+--------------------+
 
                   Table 4: ALTO Endpoint Property Types

Corrected Text
--------------
                    +------------+--------------------+
                    | Identifier | Intended Semantics |
                    +------------+--------------------+
                    | pid        | See Section 7.1.1  |
                    +------------+--------------------+
 
                   Table 4: ALTO Endpoint Property Types

Notes
-----
priv: is not an identifier, but a prefix.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7285 (draft-ietf-alto-protocol-27)
--------------------------------------
Title               : Application-Layer Traffic Optimization (ALTO) Protocol
Publication Date    : September 2014
Author(s)           : R. Alimi, Ed., R. Penno, Ed., Y. Yang, Ed., S. Kiesel, S. Previdi, W. Roome, S. Shalunov, R. Woundy
Category            : PROPOSED STANDARD
Source              : Application-Layer Traffic Optimization
Area                : Transport
Stream              : IETF
Verifying Party     : IESG

---

From: Dhruv Dhody <[email-masked]>
Date: Wed, 9 Mar 2022 13:56:07 +0530

Hi,

Does the erratum ask that we remove priv: from the IANA registry as well?

https://www.iana.org/assignments/alto-protocol/alto-protocol.xhtml#cost-metrics
https://www.iana.org/assignments/alto-protocol/alto-protocol.xhtml#endpoint-property-types

I think that would be unfortunate. Perhaps some text in the Intended
Semantics can be added to say it is a prefix!

Thanks!
Dhruv

On Wed, Mar 9, 2022 at 12:20 PM RFC Errata System <[email-masked]>
wrote:

> Author(s)           : R. Alimi, Ed., R. Penno, Ed., Y. Yang, Ed., S.
> Kiesel, S. Previdi, W. Roome, S. Shalunov, R. Woundy
> _______________________________________________
> alto mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/alto
>

---

From: <[email-masked]>
Date: Wed, 9 Mar 2022 09:04:23 +0000

Hi Dhruv,

I guess you also noticed that we don’t have such entry for the new created subregistries (while there is a provision for priv prefix for those as well in the spec):

  *   https://www.iana.org/assignments/alto-protocol/alto-protocol.xhtml#alto-entity-domain-type
  *   https://www.iana.org/assignments/alto-protocol/alto-protocol.xhtml#alto-entity-property-type

This is something we discussed and agreed with the authors when addressing the IESG comments for draft-ietf-alto-unified-props-new.

As a reminder, some IESG members were concerned with listing priv: in the registry. Please refer to the comments from Murray, in particular:

“For Sections 12.2 and 12.3, I suggest not including a registry entry for "priv:" because that's not an identifier, but everything else is.  It's fine to leave in prose saying nothing can be registered using "priv:" as a prefix, as those are meant to indicate private use.”

Having a note would sufficient to refer to the reserved prefix. Removing the entry would be consistent with the newly created registry and aligned with the intended usage.

Thank you.

Cheers,
Med

De : Dhruv Dhody <[email-masked]>
Envoyé : mercredi 9 mars 2022 09:26
À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>
Cc : alto <[email-masked]>
Objet : Re: [alto] [Editorial Errata Reported] RFC7285 (6876)

Hi,

I think that would be unfortunate. Perhaps some text in the Intended Semantics can be added to say it is a prefix!

Thanks!
Dhruv

On Wed, Mar 9, 2022 at 12:20 PM RFC Errata System <[email-masked]<mailto:[email-masked]>> wrote:
The following errata report has been submitted for RFC7285,
"Application-Layer Traffic Optimization (ALTO) Protocol".

--------------------------------------
Type: Editorial
Reported by: Mohamed BOUCADAIR <[email-masked]<mailto:[email-masked]>>

Section: 14.3

Original Text
-------------

Corrected Text
--------------

Notes
-----

Instructions:
-------------

_______________________________________________
alto mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/alto

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Dhruv Dhody <[email-masked]>
Date: Wed, 9 Mar 2022 17:46:47 +0530

Hi Med,

Thanks for the information. I seemed to have missed this one!

Would it make sense to check the opinion of the IANA on this? Maybe they
faced a similar situation in some other registry and better to do this
correctly once for all.

Thanks!
Dhruv

On Wed, Mar 9, 2022 at 2:34 PM <[email-masked]> wrote:

> Hi Dhruv,
>
>
>
> I guess you also noticed that we don’t have such entry for the new created
> subregistries (while there is a provision for priv prefix for those as well
> in the spec):
>
>    -
>    https://www.iana.org/assignments/alto-protocol/alto-protocol.xhtml#alto-entity-domain-type
>    -
>    https://www.iana.org/assignments/alto-protocol/alto-protocol.xhtml#alto-entity-property-type
>
>
>
> This is something we discussed and agreed with the authors when addressing
> the IESG comments for draft-ietf-alto-unified-props-new.
>
>
>
> As a reminder, some IESG members were concerned with listing priv: in the
> registry. Please refer to the comments from Murray, in particular:
>
>
>
> Having a note would sufficient to refer to the reserved prefix. Removing
> the entry would be consistent with the newly created registry and aligned
> with the intended usage.
>
>
>
> Thank you.
>
>
>
> Cheers,
>
> Med
>
>
>
> *De :* Dhruv Dhody <[email-masked]>
> *Envoyé :* mercredi 9 mars 2022 09:26
> *À :* BOUCADAIR Mohamed INNOV/NET <[email-masked]>
> *Cc :* alto <[email-masked]>
> *Objet :* Re: [alto] [Editorial Errata Reported] RFC7285 (6876)
>
>
>
> Hi,
>
>
>
> On Wed, Mar 9, 2022 at 12:20 PM RFC Errata System <
> [email-masked]> wrote:
>

---

From: Chris Smiley <[email-masked]>
Date: Wed, 9 Mar 2022 13:23:35 -0800

Greetings,

We are unable to verify this erratum that the submitter marked as editorial.  
Please note that we have changed the “Type” of the following errata 
report to “Technical”.  As Stream Approver, please review and set the 
Status and Type accordingly (see the definitions at 
https://www.rfc-editor.org/errata-definitions/).

You may review the report at: 
https://www.rfc-editor.org/errata/eid6876

Please see https://www.rfc-editor.org/how-to-verify/ for further 
information on how to verify errata reports.

Further information on errata can be found at: 
https://www.rfc-editor.org/errata.php.

Thank you.

RFC Editor/cs

> On Mar 8, 2022, at 10:21 PM, RFC Errata System <[email-masked]> wrote:
>

---

From: Sebastian Kiesel <[email-masked]>
Date: Thu, 10 Mar 2022 13:16:50 +0100

Hi Med,

similar to the other case 6874, I think we should clarify that no
policy change is intended, so:

Type: Editorial

Section: 14.3

Original Text
-------------

Corrected Text
--------------

                   Note: Identifiers prefixed with "priv:" are
                   reserved for Private Use (see Section 10.8.2.)

would that work for you?

thanks
Sebastian

---

From: <[email-masked]>
Date: Thu, 10 Mar 2022 12:21:19 +0000

Hi Sebastien, all, 

Works for me. Thanks. 

Cheers,
Med

> -----Message d'origine-----
> De : Sebastian Kiesel <[email-masked]>
> Envoyé : jeudi 10 mars 2022 13:17
> À : Chris Smiley <[email-masked]>
> Cc : [email-masked]; Zaheduzzaman Sarker
> <[email-masked]>; BOUCADAIR Mohamed INNOV/NET
> <[email-masked]>; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked];
> RFC Errata System <[email-masked]>
> Objet : Re: [Editorial Errata Reported] RFC7285 (6876)
> 
> Hi Med,
> 
> similar to the other case 6874, I think we should clarify that no policy
> change is intended, so:
> 
> 
> Type: Editorial
> > > rejected. When a decision is reached, the verifying party can log in
> > > to change the status and edit the report, if necessary.
> > >